# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-02-07 20:59
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0019_auto_20180206_2318'),
    ]

    operations = [
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField(verbose_name='Numéro de la place')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='places', to='api.Order', verbose_name='Commande')),
            ],
        ),
        migrations.CreateModel(
            name='Table',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom_table', models.CharField(max_length=1023, verbose_name='Nom de la table')),
            ],
            options={
                'verbose_name_plural': 'Noms des tables',
            },
        ),
        migrations.AddField(
            model_name='place',
            name='table',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tables', to='api.Table', verbose_name='Table'),
        ),
    ]
